<template>
  <NutForm
    label-position="top"
    class="order-bill-recharge gas-bill-recharge-wrapper phone chunk-form"
  >
    <div class="gas-bill-recharge-title">选择缴费类型</div>
    <NutFormItem class="bole-form-item">
      <GasOrgTypeCard
        :title="item.gasOrgName"
        v-for="item in gasParValueList"
        :key="item.gasOrgCode"
        @click="goNext(item.gasOrgCode)"
      ></GasOrgTypeCard>
    </NutFormItem>
  </NutForm>
  <div class="chunk-form-actions">
    <NutButton class="recharge-button" type="primary" plain @click="goTo('step3')">
      <div class="recharge-button-inner">
        <div class="recharge-button-text">返回</div>
      </div>
    </NutButton>
  </div>
</template>

<script setup lang="ts">
import { Form as NutForm, FormItem as NutFormItem, Button as NutButton } from '@nutui/nutui-taro';
import GasOrgTypeCard from './GasOrgTypeCard.vue';
import { BlLifeRecharge, LifeRechargeConstants } from '@life-payment/core-vue';
import { useGasBillRechargeContext } from './context';
import { useGetGasParValue } from '../../hooks';
import Chunk from '../../components/Layout/Chunk.vue';

defineOptions({
  name: 'GasBillRechargeStep1',
});

const { preSetForm, goToNext, goTo } = useGasBillRechargeContext();

const { gasParValueList } = useGetGasParValue();

function goNext(gasOrgType: string) {
  preSetForm.gasOrgType = gasOrgType;
  goToNext();
}
</script>
